package com.pcloud.common.dto;
/** 
  * 描述  :二维码背景图
  * @author 作者: lili
  * @date 创建时间：2017年6月29日 下午3:01:46 
  * @version 1.0 
  */
public class BackgroudQrDto {

	/**
	 * 二维码x坐标
	 */
	private int x;
	
	/**
	 * 二维码y坐标
	 */
	private int y;
	
	/**
	 * 宽度
	 */
	private int width;
	
	/**
	 * 高度
	 */
	private int height;
	
	/**
	 * 背景图url
	 */
	private String backgroundUrl;
	
	/**
	 * 是否透明
	 */
	private Boolean isTransparent;
	
	/**
	 * 模板文字
	 */
	private String remark;

	/**
	 * 二维码颜色
	 */
	private Integer qrcodeColor;
	
	public int getX() {
		return x;
	}

	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return y;
	}

	public void setY(int y) {
		this.y = y;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public String getBackgroundUrl() {
		return backgroundUrl;
	}

	public void setBackgroundUrl(String backgroundUrl) {
		this.backgroundUrl = backgroundUrl;
	}

	public Boolean getIsTransparent() {
		return isTransparent;
	}

	public void setIsTransparent(Boolean isTransparent) {
		this.isTransparent = isTransparent;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getQrcodeColor() {
		return qrcodeColor;
	}

	public void setQrcodeColor(Integer qrcodeColor) {
		this.qrcodeColor = qrcodeColor;
	}

	@Override
	public String toString() {
		return "BackgroudQrDto [x=" + x + ", y=" + y + ", width=" + width + ", height=" + height + ", backgroundUrl="
				+ backgroundUrl + ", isTransparent=" + isTransparent + ", remark=" + remark + ", qrcodeColor="
				+ qrcodeColor + "]";
	}

	public BackgroudQrDto(int x, int y, int width, int height, String backgroundUrl, Boolean isTransparent,
			String remark, Integer qrcodeColor) {
		super();
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
		this.backgroundUrl = backgroundUrl;
		this.isTransparent = isTransparent;
		this.remark = remark;
		this.qrcodeColor = qrcodeColor;
	}


}
